curl --request GET \
--url https://api.geekidea.ai/v1/organization/generations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geekidea.ai/v1/organization/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geekidea.ai/v1/organization/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "geekidea/drama-episode",
"object": "workflow",
"name": "Short drama episode",
"description": "<string>",
"version": 1,
"start_path": "/v1/dramas",
"steps": [
{
"key": "storyboard",
"type": "ai",
"depends_on": [
"assets"
],
"confirm": true,
"fee_units": [
"episode"
]
}
],
"fee_price_version": 1,
"fees": [
{
"step": "clips",
"spec": "<string>",
"unit": "second",
"unit_price_usd": 0.025
}
],
"currency": "USD"
}
],
"first_id": "<string>",
"last_id": "<string>",
"has_more": true,
"total_count": 123
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}List organization generations
Lists generations across the whole organization (not only one key), newest first, filterable by project, key, model, type, status and time; used by the dashboard Activity page.
curl --request GET \
--url https://api.geekidea.ai/v1/organization/generations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geekidea.ai/v1/organization/generations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geekidea.ai/v1/organization/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "geekidea/drama-episode",
"object": "workflow",
"name": "Short drama episode",
"description": "<string>",
"version": 1,
"start_path": "/v1/dramas",
"steps": [
{
"key": "storyboard",
"type": "ai",
"depends_on": [
"assets"
],
"confirm": true,
"fee_units": [
"episode"
]
}
],
"fee_price_version": 1,
"fees": [
{
"step": "clips",
"spec": "<string>",
"unit": "second",
"unit_price_usd": 0.025
}
],
"currency": "USD"
}
],
"first_id": "<string>",
"last_id": "<string>",
"has_more": true,
"total_count": 123
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}Authorizations
Provide your API key in the Authorization header using Bearer auth
Query Parameters
Only this project (proj_ prefix)
Only calls made by this key (key_ prefix)
Only this model (ID or alias)
Filter by type: chat_completion / image / video …
Filter by status: queued / in_progress / completed / failed / cancelled
Start time (Unix seconds, inclusive)
End time (Unix seconds, exclusive)
Page size, 20 by default, at most 100
Cursor: the last_id of the previous page
Response
OK
List (OpenAI format, cursor pagination)
Always list
"list"
Data
Show child attributes
Show child attributes
ID of the first item
ID of the last item; pass it as after to get the next page
Whether more items are available
Total count (only with include[]=total_count)
